%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           euca2ools
Version:        1.3.1
Release:        2%{?dist}
Summary:        Elastic Utility Computing Architecture Command-Line Tools

Group:          Applications/Internet
License:        BSD
URL:            http://open.eucalyptus.com/
# bzr clone http://bazaar.launchpad.net/~eucalyptus-maintainers/euca2ools/euca2ools-main
# bzr export -r 303 --root=euca2ools-1.3 euca2ools-1.3-bzr303.tar.gz
#Source0:        %{name}-%{version}-bzr303.tar.gz
Source0:        http://eucalyptussoftware.com/downloads/releases/%{name}-%{version}.tar.gz
# https://bugs.launchpad.net/euca2ools/+bug/509562
Patch1:         euca2ools-1.3.1-strlen.patch
# https://bugs.launchpad.net/euca2ools/+bug/522292
Patch2:         euca2ools-1.3.1-symlink.patch
# https://bugs.launchpad.net/euca2ools/+bug/546526
Patch3:         euca2ools-1.3.1-inv-user.patch
# https://bugs.launchpad.net/euca2ools/+bug/551847
Patch4:         euca2ools-1.3.1-udev-persistence.patch
# https://bugs.launchpad.net/euca2ools/+bug/479836
Patch5:         euca2ools-1.3.1-ec2cert.patch
# https://bugs.launchpad.net/euca2ools/+bug/546551
Patch6:         euca2ools-1.3.1-kernel.patch
# https://bugs.launchpad.net/euca2ools/+bug/541468
Patch7:         euca2ools-1.3.1-describe-all.patch
# https://bugs.launchpad.net/euca2ools/+bug/546567
Patch8:         euca2ools-1.3.1-download-usage.patch
# https://bugs.launchpad.net/euca2ools/+bug/531453
Patch9:         euca2ools-1.3.1-space.patch
# https://bugs.launchpad.net/euca2ools/+bug/546420
Patch10:        euca2ools-1.3.1-valid.patch
# https://bugs.launchpad.net/euca2ools/+bug/530816
Patch11:        euca2ools-1.3.1-key-doc.patch

Requires:       m2crypto
Requires:       python-boto

BuildRequires:  help2man
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

BuildArch:      noarch

%description
Eucalyptus is an open source service overlay that implements elastic
computing using existing resources.  The goal of Eucalyptus is to allow
sites with existing clusters and server infrastructure to co-host elastic
computing services that are interface-compatible with Amazon's AWS (EC2,
S3, EBS).

This package contains the command line tools used to interact with
Eucalyptus.  These tools are also compatible with Amazon AWS.


%prep
%setup -q
%patch1  -p0
%patch2  -p1 -b .symlink
%patch3  -p1 -b .inv-user
%patch4  -p1 -b .udev-persistence
%patch5  -p1 -b .ec2cert
%patch6  -p1 -b .kernel
%patch7  -p0
%patch8  -p1 -b .download-usage
%patch9  -p1 -b .space
%patch10 -p1 -b .valid
%patch11 -p1 -b .key-doc


%build
cd %{name}
%{__python} setup.py build


%install
pushd %{name}
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -p bin/* %{buildroot}/%{_bindir}
cp -p man/* %{buildroot}/%{_mandir}/man1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/euca-*
%{_mandir}/man1/euca*
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/
%doc CHANGELOG
%doc COPYING
%doc INSTALL
%doc README

%changelog
* Thu Nov 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-2
- Fix euca-bundle-image returning Odd-length string errors [LP:509562]
- Fix euca-bundle-image failure to use symbolic links [LP:522292]
- Fix euca-bundle-image --help yielding 'Invalid user' messages [LP:546526]
- Fix rebundled instance boot failure [LP:551847]
- Check a default location for Eucalyptus certificate [LP:479836]
- Fix euca-describe-image-attribute --kernel or --ramdisk [LP:546551]
- Fix euca-describe-images listing too many images on EC2 [LP:541468]
- Fix euca-download-bundle usage message [LP:546567]
- Fix failures related to a spurious space in euca-describe-images [LP:531453]
- Fix euca-run-instances parameter validation [LP:546420]
- Fix euca-run-instances usage message [LP:530816]

* Sat Sep  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-1
- Upstream bugfix release [LP:629118]

* Wed Aug 25 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3-1
- Update to 1.3 final
- This release no longer requires python-boto 2.0

* Fri Jul 30 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-5.20100701bzr293
- Rebuild prerelease against Python 2.7

* Thu Jul 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-4.20100701bzr293
- Update to a snapshot that includes support for block device mapping [575258]

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-2
- Fix bad version reporting [LP:522396]
- Fix broken rc file searching [LP:516738 LP:524652]
- Fix reversed kernel+ramdisk display order in euca-describe-images [LP:256697]
- Fix broken file patch processing [LP:522060]
- Make euca-create-volume documentation consistent [LP:542097]
- Correct help files for euca-{modify,reset}-image-attribute [LP:543559]
- Fix euca-bundle-image --block-device-mapping [575166]

* Thu Feb 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-1
- Upstream update

* Thu Feb  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-5
- Fix changelog

* Wed Jan 20 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-4
- Stop requiring swig
- Take ownership of %%{python_sitelib}/%%{name} directory
- Clarify description
- Drop now-superfluous buildroot tag and cleaning step

* Fri Jan 15 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-3
- Update download URI

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-2
- Add COPYING and INSTALL docfiles

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-1
- Initial packaging attempt
